| Home · API Reference · Modules

Signals | Public Member Functions | Properties | List of all members
MImUpdateReceiver Class Reference
Plugin API

`#include <updatereceiver.h>`

Inheritance diagram for MImUpdateReceiver:
[legend]

## Signals

void | westernNumericInputEnforcedChanged (bool value)
void | preferNumbersChanged (bool value)
void | translucentInputMethodChanged (bool value)

## Public Member Functions

| MImUpdateReceiver (QObject *parent=0)
virtual | ~MImUpdateReceiver ()
void | process (MImUpdateEvent *ev)
bool | westernNumericInputEnforced () const
bool | preferNumbers () const
bool | translucentInputMethod () const

## Properties

bool | westernNumericInputEnforced
bool | preferNumbers
bool | translucentInputMethod

## Detailed Description

An example that turns data-polling from events into data-pushing via properties and change notifications.

Used in combination with MImUpdateEvents: The event is propagated down to the final component, where it is then processed by an event receiver. The receiver therefore acts as an endpoint for events, allowing the actual consumers of input method properties to listen to property changes. Using this approach, consumers are completely decoupled from the event propagation itself. Event receivers implemented in plugins are supposed to be more specialized than the generic MImUpdateReceiver. They can be designed to only carry the properties that are required for a given endpoint. The life time of event receivers usually exceeds the life time of events, which makes it possible to keep signal connections between consumers and event receivers alive.

## Constructor & Destructor Documentation

## ◆ MImUpdateReceiver()

MImUpdateReceiver::MImUpdateReceiver | ( | QObject * | parent = 0 | ) |

explicit

## ◆ ~MImUpdateReceiver()

MImUpdateReceiver::~MImUpdateReceiver | ( |  | ) |

virtual

## Member Function Documentation

## ◆ preferNumbers()

bool MImUpdateReceiver::preferNumbers | ( |  | ) | const

## ◆ preferNumbersChanged

void MImUpdateReceiver::preferNumbersChanged | ( | bool | value | ) |

signal

## ◆ process()

void MImUpdateReceiver::process | ( | MImUpdateEvent * | ev | ) |

## ◆ translucentInputMethod()

bool MImUpdateReceiver::translucentInputMethod | ( |  | ) | const

## ◆ translucentInputMethodChanged

void MImUpdateReceiver::translucentInputMethodChanged | ( | bool | value | ) |

signal

## ◆ westernNumericInputEnforced()

bool MImUpdateReceiver::westernNumericInputEnforced | ( |  | ) | const

## ◆ westernNumericInputEnforcedChanged

void MImUpdateReceiver::westernNumericInputEnforcedChanged | ( | bool | value | ) |

signal

## Property Documentation

## ◆ preferNumbers

bool MImUpdateReceiver::preferNumbers

read

## ◆ translucentInputMethod

bool MImUpdateReceiver::translucentInputMethod

read

## ◆ westernNumericInputEnforced

bool MImUpdateReceiver::westernNumericInputEnforced

read

Copyright © 2011 Nokia Corporation |  | Maliit